- NAME
- SYNOPSIS
- DESCRIPTION
- FUNCTIONS

- `lut_names()`
- `lut_ramps()`
- `lut_data()`

- VARIABLES

- $tabledir
- $rampdir
- $suffix

- FURTHER INFORMATION
- AUTHOR

# NAME

PDL::Graphics::LUT - provides access to a number of look-up tables

# SYNOPSIS

     use PDL::Graphics::PGPLOT;
     use PDL::Graphics::LUT;

     # what tables are available
     my @tables = lut_names();

     # get the reversed colour table 'smooth',
     # with the gamma intensity ramp
     my ( $l, $r, $g, $b ) = lut_data( 'smooth', 1, 'gamma' );

     # use the table idl5 in ctab
     ctab( lut_data('idl5') );

# DESCRIPTION

PDL::Graphics::LUT contains a number of colour look-up tables (in rgb format) and intensity ramps, and provides routines to access this data. The format of the data is suitable for use by ctab in the PDL::Graphics::PGPLOT manpage.

Unlike the initial release of the package, the data tables are now stored within the PDL distribution (see $tabledir and $rampdir) rather than in the module itself. Changes to these directories will be picked up on the next call to one of the package functions.

# FUNCTIONS

## `lut_names()`

Return, as a list, the names of the available colour tables.

     @tables = lut_names();

## `lut_ramps()`

Return, as a list, the names of the available intensity ramps.

     @ramps = lut_names();

## `lut_data()`

Load in the requested colour table and intensity ramp.

     ( $l, $r, $g, $b ) = lut_data( $table, [ $reverse, [ $ramp ] ] );

Returns the levels and r, g, b components of the colour table `$table`. If `$reverse` is 1 (defaults to 0 if not supplied), then the r, g, and b components are reversed before being returned. If not supplied, `$ramp` defaults to ``ramp'' (this is a linear intensity ramp).

The returned values are piddles containing values in the range 0 to 1 inclusive, and are floats.

# VARIABLES

## $tabledir

The directory in which the colour tables (in rgb format) are stored.

## $rampdir

The directory in which the intensity ramps are stored.

## $suffix

The suffix for the data files in `$tabledir` and `$rampdir`.

# FURTHER INFORMATION

The colour tables were taken from the STARLINK GAIA package, and are provided under the GNU copyleft. See http://star-www.rl.ac.uk/ and http://star-www.dur.ac.uk/~pdraper/ for more details.

# AUTHOR

Doug Burke (burke@ifa.hawaii.edu), with thanks to Peter Draper/STARLINK for providing the colour-table data, and Christian Soeller and Karl Glazebrook for their help.

All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.